package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.entity.OpenedProducts;
import com.diagbot.entity.OpenedProductsIndex;
import com.diagbot.entity.wrapper.OpendProductWrapper;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 已开通产品 服务类
 * </p>
 *
 * @author gaodm
 * @since 2018-09-18
 */
public interface OpenedProductsService extends IService<OpenedProducts> {
    /**
     * 根据用户id查询已开通的产品
     * @param userId 用户id
     * @return
     */
    IPage<OpenedProducts> selectOpendInfoByUserId(Page<OpenedProducts> page, int userId);

    /**
     * 查询已开通产品
     * @param map 查询条件
     * @return
     */
    List<OpenedProducts> selectOpenedProducts(Map<String,Object> map);


    /**
     * @Description: 根据appkey和secret查询开通产品
     * @Author: ztg
     * @Date: 2018/9/20 15:23
     */
    List<OpenedProducts> getByAppkeyAndSecret(Map<String,Object> map);

    /**
     * @Description: 根据产品id查询所有开通用户信息
     * @Author: wangyu
     * @Date: 20:23 2018/9/20
     */
    public List<OpendProductWrapper> getByProductId(OpenedProductsIndex openedProductsIndex);

}
